* {
    box-sizing: border-box;
}

.fuelBlock {
    width: 500px;
    margin: 20% auto;
    color: white;
	font-family: 'Proxima Nova Rg';
	user-select: none;
	overflow: hidden;
    padding: 20px 30px;
    background: linear-gradient(to top,#131111dd,#43225edd);
}

.fuelHeader {
    font-size: 20px;
    font-family: Proxima Nova Sm;
    margin-bottom: 10px;
}

.fuelinfo {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.fuelValue {
    background-color: rgba(255, 255, 255, 0.07);
    width: 270px;
    padding: 10px 20px;
    margin-right: 5px;
    border: 1px solid rgba(255, 255, 255, 0.2);
    box-shadow: inset 1px 1px 10px rgba(255, 255, 255, 0.07);
}

.fuelPrice {
    background: linear-gradient(45deg,#696effdd,#6a90f7dd);
    width: 50%;
    padding: 10px 20px;
    border: 1px solid rgba(255, 255, 255, 0.2);
    box-shadow: inset 1px 1px 10px rgba(255, 255, 255, 0.07);    
}

.green_small {
    color: rgba(255, 255, 255, 0.5);
    font-size: 13px;
}

.white_big {
    font-family: Proxima Nova Sm;
    font-size: 20px;
}

.flex_fuel_types {
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
}

.fuelType {
    font-size: 20px;
    font-family: Proxima Nova Sm;
    background-color: rgba(255, 255, 255, 0.07);
    padding: 30px;
    border: 3px solid rgba(255, 255, 255, 0.1);
    box-shadow: inset 1px 1px 10px rgba(255, 255, 255, 0.07);    
}

.active_fuel {
    border: 3px solid #fff;
    box-shadow: inset 0px 0px 20px rgba(255, 255, 255, 0.644);    
}

.selectFuel {
    width: 100%;
    border-radius: 0px;
}

.selectFuel::-ms-value {
    width: 100%;
    border-radius: 0px;
}
input[type='range'] {
    margin-top: 5px;
    overflow: hidden;
    width: 100%;
    outline: none;
    -webkit-appearance: none;
    background-color: rgba(255, 255, 255, 0.07);
    border: 1px solid rgba(255, 255, 255, 0.1);
    box-shadow: inset 1px 1px 10px rgba(255, 255, 255, 0.07);
}

input[type='range']::-webkit-slider-runnable-track {
    height: 15px;
    -webkit-appearance: none;
    color: #13bba4;
    outline: none;
    margin-top: -1px;
}

input[type='range']::-webkit-slider-thumb {
    width: 0px;
    outline: none;
    -webkit-appearance: none;
    height: 0px;
    background: #6a90f7;
    box-shadow: -220px 0 0 220px #6a90f7;
}

.slideRight{
    opacity: 0.1;
    animation-name: slideRight;
    animation-duration: 2s; 
    animation-timing-function: ease-in-out; 
    visibility: visible !important; 
}

@keyframes slideRight {
    0% {
        transform: translateX(-120%);
        opacity: 0;
    }
    100%{
        transform: translateX(0%);
        opacity: 0.1;
    }
}

.fuelBuy {
    margin-top: 10px;
    padding: 15px;
    text-align: center;
    font-family: Proxima Nova Sm;
    background-color: #97c965dd;

    transition: .2s;
}

.img_car_fuel {
    background-image: url(http://vadimp05.beget.tech/tVmPpIMWw5qD9T7i/img/tesla_car_PNG2.png);
    background-size: 500px;
    height: 210px;
    margin-top: -200px;
    margin-left: -60px;
    background-repeat: no-repeat;
    opacity: 0.1;
}

.closeFuel {
    margin-top: 10px;
    background-color: rgba(255, 255, 255, 0.07);
    padding: 8px;
    text-align: center;
}